Update tag
Update an existing tag
Also accepts PATCH with the same body.
PUT
/
admin
/
api
/
v1
/
projects
/
tags
/
{id}
Update tag
curl --request PUT \
--url https://erp.arukz.com/admin/api/v1/projects/tags/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Urgent",
"color": "#ff0000"
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/projects/tags/{id}"
payload = {
"name": "Urgent",
"color": "#ff0000"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Urgent', color: '#ff0000'})
};
fetch('https://erp.arukz.com/admin/api/v1/projects/tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/projects/tags/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Urgent',
'color' => '#ff0000'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "Urgent Work",
"color": "#ff8f17",
"creator_id": null,
"created_at": "2025-04-11T11:01:07.000000Z",
"updated_at": "2025-04-11T11:01:07.000000Z",
"deleted_at": null
},
"message": "Tag updated successfully."
}{
"message": "Unauthenticated."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Body
application/json
Response
Success
⌘I
Update tag
curl --request PUT \
--url https://erp.arukz.com/admin/api/v1/projects/tags/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Urgent",
"color": "#ff0000"
}
'import requests
url = "https://erp.arukz.com/admin/api/v1/projects/tags/{id}"
payload = {
"name": "Urgent",
"color": "#ff0000"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Urgent', color: '#ff0000'})
};
fetch('https://erp.arukz.com/admin/api/v1/projects/tags/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/projects/tags/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Urgent',
'color' => '#ff0000'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": 1,
"name": "Urgent Work",
"color": "#ff8f17",
"creator_id": null,
"created_at": "2025-04-11T11:01:07.000000Z",
"updated_at": "2025-04-11T11:01:07.000000Z",
"deleted_at": null
},
"message": "Tag updated successfully."
}{
"message": "Unauthenticated."
}